<?php

namespace app\model;

use app\model\Base;
/**
 * @property integer $id 主键(ID) - 无注释
 * @property integer $user_id 用户ID
 * @property float $deduction_amount 提现金额
 * @property float $recive_amount 到账金额
 * @property float $fee 后续费
 * @property string $title 姓名
 * @property string $network 方式
 * @property string $address 地址
 * @property integer $transfer_at 转账时间
 * @property string $txid 凭证
 * @property string $memo 备注
 * @property integer $created_at 创建时间
 * @property integer $updated_at 更新时间
 * @property integer $status 状态
 */
class Version extends Base
{
    
    protected function getOptions(): array 
    {
        // 所有的参数配置统一返回
        return array_merge(parent::getOptions(),[
            'append'    =>  ['source_text']
        ]);
    }
    function getSourceTextAttr($v,$row){
        if($v){
            return cdnurl($v);
        }
    }
    function getOsList(){
        return [
            "android"=>"Android",
            "ios"=>"IOS",
            "harmonry"=>"鸿蒙"
        ];
    }
    function getTypeList(){
        return [
            "1"=>"WGT热更新",
            "0"=>"整包更新",
            "2"=>"外链下载更新"
        ];
    }
    function getForceList(){
        return [
            "0"=>"可选更新",
            "1"=>"强制更新",
        ];
    }
    function getStatusList(){
        return [
            '0' => '禁用',
            '1' => '启用'
        ];
    } 
    public function user()
    {
        return $this->belongsTo('User', 'user_id', 'id');//->setEagerlyType(0);
    }
    
    
}
